# docker: https://hub.docker.com/_/node/tags
FROM node:hydrogen-bookworm-slim

# Install packages
RUN apt-get update && apt-get install -y \
    git \
    ca-certificates \
    curl

# Use npm to install semantic-release in container
# There is an issue with conventional-changelog-conventionalcommit https://github.com/semantic-release/commit-analyzer/issues/517
RUN npm install -g \
    conventional-changelog-conventionalcommits@6.1.0 \
    semantic-release-conventional-commits \
    semantic-release \
    @semantic-release/changelog \
    @semantic-release/commit-analyzer \
    @semantic-release/exec \
    @semantic-release/git \
    @semantic-release/gitlab \
    @semantic-release/npm \
    @semantic-release/release-notes-generator \
    semantic-release-slack-bot
